POST API/Stock/GetStockIncomingForOutgoing
Request Information
URI Parameters
None.
Body Parameters
InvoiceIncomingM| Name | Description | Type | Additional information |
|---|---|---|---|
| dtS | date |
None. |
|
| dtE | date |
None. |
|
| ID | globally unique identifier |
None. |
|
| Department_ID | integer |
None. |
|
| invoiceNumber | string |
None. |
|
| invoiceDate | date |
None. |
|
| isDelivered | boolean |
None. |
|
| typeIncoming | integer |
None. |
|
| warehouse | integer |
None. |
|
| CreateDate | date |
None. |
|
| UpdateUser | globally unique identifier |
None. |
|
| UpdateDate | date |
None. |
|
| Comment | string |
None. |
|
| invoice_ID | globally unique identifier |
None. |
|
| StockIncomings | Collection of StockIncomingM |
None. |
|
| documents | Collection of DocumentM |
None. |
Request Formats
application/json, text/json
Sample:
{
"dtS": "2026-05-17T04:12:30.1778491+05:00",
"dtE": "2026-05-17T04:12:30.1778491+05:00",
"ID": "c8a51980-ede5-4238-94d4-11ce851cc54b",
"Department_ID": 1,
"invoiceNumber": "sample string 2",
"invoiceDate": "2026-05-17T04:12:30.1778491+05:00",
"isDelivered": true,
"typeIncoming": 1,
"warehouse": 4,
"CreateDate": "2026-05-17T04:12:30.1778491+05:00",
"UpdateUser": "96d03514-4b06-404b-b039-6ea43cb2b764",
"UpdateDate": "2026-05-17T04:12:30.1778491+05:00",
"Comment": "sample string 5",
"invoice_ID": "2cc8e87e-4401-4dda-a292-5dba84d43e03",
"StockIncomings": [
{
"ID": "b5debe75-548a-43e4-b2cd-e67d645b21b3",
"Stock_ID": "e28280e3-dae8-4829-bde4-776cd2fe09a3",
"Price": 3.0,
"Quantity": 4.0,
"CreateDate": "2026-05-17T04:12:30.1778491+05:00",
"UpdatePerson_ID": "4b95c702-602f-4092-80f7-fe98481a754f",
"Invoice_Details_ID": "ee39de99-3997-4a06-9d5c-bb7a990dab1e",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Sum": 8.0,
"Stock": {
"ID": "36f22168-6dab-4239-931f-b42e069734aa",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-05-17T04:12:30.1778491+05:00"
}
},
{
"ID": "b5debe75-548a-43e4-b2cd-e67d645b21b3",
"Stock_ID": "e28280e3-dae8-4829-bde4-776cd2fe09a3",
"Price": 3.0,
"Quantity": 4.0,
"CreateDate": "2026-05-17T04:12:30.1778491+05:00",
"UpdatePerson_ID": "4b95c702-602f-4092-80f7-fe98481a754f",
"Invoice_Details_ID": "ee39de99-3997-4a06-9d5c-bb7a990dab1e",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Sum": 8.0,
"Stock": {
"ID": "36f22168-6dab-4239-931f-b42e069734aa",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-05-17T04:12:30.1778491+05:00"
}
}
],
"documents": [
{
"id": "a6f1459a-e63c-4c20-9e85-6c109ec50829",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-05-17T04:12:30.1778491+05:00"
},
{
"id": "a6f1459a-e63c-4c20-9e85-6c109ec50829",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-05-17T04:12:30.1778491+05:00"
}
]
}
application/xml, text/xml
Sample:
<InvoiceIncomingM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Comment>sample string 5</Comment>
<CreateDate>2026-05-17T04:12:30.1778491+05:00</CreateDate>
<Department_ID>1</Department_ID>
<ID>c8a51980-ede5-4238-94d4-11ce851cc54b</ID>
<StockIncomings>
<StockIncomingM>
<CreateDate>2026-05-17T04:12:30.1778491+05:00</CreateDate>
<ID>b5debe75-548a-43e4-b2cd-e67d645b21b3</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>ee39de99-3997-4a06-9d5c-bb7a990dab1e</Invoice_Details_ID>
<Price>3</Price>
<Quantity>4</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-05-17T04:12:30.1778491+05:00</CreateDate>
<ID>36f22168-6dab-4239-931f-b42e069734aa</ID>
<Name>sample string 3</Name>
</Stock>
<Stock_ID>e28280e3-dae8-4829-bde4-776cd2fe09a3</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>4b95c702-602f-4092-80f7-fe98481a754f</UpdatePerson_ID>
</StockIncomingM>
<StockIncomingM>
<CreateDate>2026-05-17T04:12:30.1778491+05:00</CreateDate>
<ID>b5debe75-548a-43e4-b2cd-e67d645b21b3</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>ee39de99-3997-4a06-9d5c-bb7a990dab1e</Invoice_Details_ID>
<Price>3</Price>
<Quantity>4</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-05-17T04:12:30.1778491+05:00</CreateDate>
<ID>36f22168-6dab-4239-931f-b42e069734aa</ID>
<Name>sample string 3</Name>
</Stock>
<Stock_ID>e28280e3-dae8-4829-bde4-776cd2fe09a3</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>4b95c702-602f-4092-80f7-fe98481a754f</UpdatePerson_ID>
</StockIncomingM>
</StockIncomings>
<UpdateDate>2026-05-17T04:12:30.1778491+05:00</UpdateDate>
<UpdateUser>96d03514-4b06-404b-b039-6ea43cb2b764</UpdateUser>
<documents>
<DocumentM>
<createDate>2026-05-17T04:12:30.1778491+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>a6f1459a-e63c-4c20-9e85-6c109ec50829</id>
</DocumentM>
<DocumentM>
<createDate>2026-05-17T04:12:30.1778491+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>a6f1459a-e63c-4c20-9e85-6c109ec50829</id>
</DocumentM>
</documents>
<dtE>2026-05-17T04:12:30.1778491+05:00</dtE>
<dtS>2026-05-17T04:12:30.1778491+05:00</dtS>
<invoiceDate>2026-05-17T04:12:30.1778491+05:00</invoiceDate>
<invoiceNumber>sample string 2</invoiceNumber>
<invoice_ID>2cc8e87e-4401-4dda-a292-5dba84d43e03</invoice_ID>
<isDelivered>true</isDelivered>
<typeIncoming>1</typeIncoming>
<warehouse>4</warehouse>
</InvoiceIncomingM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>